<?php

namespace ProxiumWXfrm\Http;

class HttpMethod
{
    const GET = 'GET';
    const POST = 'POST';
    const PUT = 'PUT';
    const PATCH = 'PATCH';
    const DELETE = 'DELETE';

    public static function cases() {
        return array('GET','POST','PUT','PATCH','DELETE');
    }
}

/*
enum HttpMethod:string {
    case GET="GET";
    case POST="POST";
    case PUT="PUT";
    case PATCH="PATCH";
    case DELETE="DELETE";
}
*/